Bug 487539 - ruby: HTTP response splitting issue in CGI module
ruby: HTTP response splitting issue in CGI module
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=gentoo,reported=20090226,publi...
: Reopened, Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 11:24 EST by Tomas Hoger
Modified: 2011-06-01 03:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 03:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-02-26 11:24:42 EST
HTTP response splitting issue was reported for Rails:
  http://weblog.rubyonrails.com/2008/10/19/response-splitting-risk

This issue was assigned CVE id CVE-2008-5189 and is tracked via bug #472510.

The underlying issue exists in the Ruby's CGI module.  Following patch was proposed for Ruby's CGI module:
  http://article.gmane.org/gmane.comp.lang.ruby.core/18709

It does not seem to have been committed upstream yet.

References:
http://bugs.gentoo.org/show_bug.cgi?id=242914
Comment 4 Vít Ondruch 2011-05-31 08:34:21 EDT
Hi guys,

I don't think this patch should be applied. 

* Upstream did not accepted the proposed patch and it is not in upstream [1]
* It breaks conformity to standard
* Neither Gentoo applied this patch as can be seen from link above
* Rails handles the issue.

So what actually is the reason to apply this patch?


[1] https://github.com/ruby/ruby/blob/trunk/lib/cgi/core.rb#L151
Comment 5 Huzaifa S. Sidhpurwala 2011-06-01 03:01:24 EDT
Hi Vit,

> So what actually is the reason to apply this patch?

Thanks for looking into this. Since upstream has decided to fix this in Rails and not in the ruby framework itself, we should do the same.

I am going to close this as a NOTABUG

Note You need to log in before you can comment on or make changes to this bug.